﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;
using Xamarin.Forms;

namespace SfChipGroupSample
{
   public class ViewModel : INotifyPropertyChanged
    {
        /// <summary>
        /// Occurs when property changed.
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged;

        /// <summary>
        /// The <see cref=" ChipViewModel" properties changed/>
        /// </summary>
        /// <param name="property">Changed Property.</param>
        public void OnPropertyChanged(string property)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(property));
            }
        }


        private Thickness corner = 20;

        public Thickness CornerRadius
        {
            get { return corner; }
            set {
                corner = value;
                OnPropertyChanged("CornerRadius");
            }
        }
        public ViewModel()
        {
         
        }
    }
}
